libspe2.h File Reference
`#include <errno.h>`
`#include <stdio.h>`
`#include "libspe2-types.h"`
Include dependency graph for libspe2.h:

Go to the source code of this file.

## Functions

spe_context_ptr_t | spe_context_create (unsigned int flags, spe_gang_context_ptr_t gang)
spe_context_ptr_t | spe_context_create_affinity (unsigned int flags, spe_context_ptr_t affinity_neighbor, spe_gang_context_ptr_t gang)
int | spe_context_destroy (spe_context_ptr_t spe)
spe_gang_context_ptr_t | spe_gang_context_create (unsigned int flags)
int | spe_gang_context_destroy (spe_gang_context_ptr_t gang)
spe_program_handle_t * | spe_image_open (const char *filename)
int | spe_image_close (spe_program_handle_t *program)
int | spe_program_load (spe_context_ptr_t spe, spe_program_handle_t *program)
int | spe_context_run (spe_context_ptr_t spe, unsigned int *entry, unsigned int runflags, void *argp, void *envp, spe_stop_info_t *stopinfo)
int | spe_stop_info_read (spe_context_ptr_t spe, spe_stop_info_t *stopinfo)
spe_event_handler_ptr_t | spe_event_handler_create (void)
int | spe_event_handler_destroy (spe_event_handler_ptr_t evhandler)
int | spe_event_handler_register (spe_event_handler_ptr_t evhandler, spe_event_unit_t *event)
int | spe_event_handler_deregister (spe_event_handler_ptr_t evhandler, spe_event_unit_t *event)
int | spe_event_wait (spe_event_handler_ptr_t evhandler, spe_event_unit_t *events, int max_events, int timeout)
int | spe_mfcio_put (spe_context_ptr_t spe, unsigned int ls, void *ea, unsigned int size, unsigned int tag, unsigned int tid, unsigned int rid)
int | spe_mfcio_putb (spe_context_ptr_t spe, unsigned int ls, void *ea, unsigned int size, unsigned int tag, unsigned int tid, unsigned int rid)
int | spe_mfcio_putf (spe_context_ptr_t spe, unsigned int ls, void *ea, unsigned int size, unsigned int tag, unsigned int tid, unsigned int rid)
int | spe_mfcio_get (spe_context_ptr_t spe, unsigned int ls, void *ea, unsigned int size, unsigned int tag, unsigned int tid, unsigned int rid)
int | spe_mfcio_getb (spe_context_ptr_t spe, unsigned int ls, void *ea, unsigned int size, unsigned int tag, unsigned int tid, unsigned int rid)
int | spe_mfcio_getf (spe_context_ptr_t spe, unsigned int ls, void *ea, unsigned int size, unsigned int tag, unsigned int tid, unsigned int rid)
int | spe_mfcio_tag_status_read (spe_context_ptr_t spe, unsigned int mask, unsigned int behavior, unsigned int *tag_status)
int | spe_out_mbox_read (spe_context_ptr_t spe, unsigned int *mbox_data, int count)
int | spe_out_mbox_status (spe_context_ptr_t spe)
int | spe_in_mbox_write (spe_context_ptr_t spe, unsigned int *mbox_data, int count, unsigned int behavior)
int | spe_in_mbox_status (spe_context_ptr_t spe)
int | spe_out_intr_mbox_read (spe_context_ptr_t spe, unsigned int *mbox_data, int count, unsigned int behavior)
int | spe_out_intr_mbox_status (spe_context_ptr_t spe)
int | spe_mssync_start (spe_context_ptr_t spe)
int | spe_mssync_status (spe_context_ptr_t spe)
int | spe_signal_write (spe_context_ptr_t spe, unsigned int signal_reg, unsigned int data)
void * | spe_ls_area_get (spe_context_ptr_t spe)
int | spe_ls_size_get (spe_context_ptr_t spe)
void * | spe_ps_area_get (spe_context_ptr_t spe, enum ps_area area)
int | spe_callback_handler_register (void *handler, unsigned int callnum, unsigned int mode)
int | spe_callback_handler_deregister (unsigned int callnum)
void * | spe_callback_handler_query (unsigned int callnum)
int | spe_cpu_info_get (int info_requested, int cpu_node)

## Function Documentation

int spe_callback_handler_deregister | ( | unsigned int | callnum) |  |

void* spe_callback_handler_query | ( | unsigned int | callnum) |  |

int spe_callback_handler_register | ( | void * | handler,
|  | unsigned int | callnum,
|  | unsigned int | mode
| ) |  |

spe_context_ptr_t spe_context_create | ( | unsigned int | flags,
|  | spe_gang_context_ptr_t | gang
| ) |  |

spe_context_ptr_t spe_context_create_affinity | ( | unsigned int | flags,
|  | spe_context_ptr_t | affinity_neighbor,
|  | spe_gang_context_ptr_t | gang
| ) |  |

int spe_context_destroy | ( | spe_context_ptr_t | spe) |  |

int spe_context_run | ( | spe_context_ptr_t | spe,
|  | unsigned int * | entry,
|  | unsigned int | runflags,
|  | void * | argp,
|  | void * | envp,
|  | spe_stop_info_t * | stopinfo
| ) |  |

int spe_cpu_info_get | ( | int | info_requested,
|  | int | cpu_node
| ) |  |

spe_event_handler_ptr_t spe_event_handler_create | ( | void | ) |  |

int spe_event_handler_deregister | ( | spe_event_handler_ptr_t | evhandler,
|  | spe_event_unit_t * | event
| ) |  |

int spe_event_handler_destroy | ( | spe_event_handler_ptr_t | evhandler) |  |

int spe_event_handler_register | ( | spe_event_handler_ptr_t | evhandler,
|  | spe_event_unit_t * | event
| ) |  |

int spe_event_wait | ( | spe_event_handler_ptr_t | evhandler,
|  | spe_event_unit_t * | events,
|  | int | max_events,
|  | int | timeout
| ) |  |

spe_gang_context_ptr_t spe_gang_context_create | ( | unsigned int | flags) |  |

int spe_gang_context_destroy | ( | spe_gang_context_ptr_t | gang) |  |

int spe_image_close | ( | spe_program_handle_t * | program) |  |

spe_program_handle_t* spe_image_open | ( | const char * | filename) |  |

int spe_in_mbox_status | ( | spe_context_ptr_t | spe) |  |

int spe_in_mbox_write | ( | spe_context_ptr_t | spe,
|  | unsigned int * | mbox_data,
|  | int | count,
|  | unsigned int | behavior
| ) |  |

void* spe_ls_area_get | ( | spe_context_ptr_t | spe) |  |

int spe_ls_size_get | ( | spe_context_ptr_t | spe) |  |

int spe_mfcio_get | ( | spe_context_ptr_t | spe,
|  | unsigned int | ls,
|  | void * | ea,
|  | unsigned int | size,
|  | unsigned int | tag,
|  | unsigned int | tid,
|  | unsigned int | rid
| ) |  |

int spe_mfcio_getb | ( | spe_context_ptr_t | spe,
|  | unsigned int | ls,
|  | void * | ea,
|  | unsigned int | size,
|  | unsigned int | tag,
|  | unsigned int | tid,
|  | unsigned int | rid
| ) |  |

int spe_mfcio_getf | ( | spe_context_ptr_t | spe,
|  | unsigned int | ls,
|  | void * | ea,
|  | unsigned int | size,
|  | unsigned int | tag,
|  | unsigned int | tid,
|  | unsigned int | rid
| ) |  |

int spe_mfcio_put | ( | spe_context_ptr_t | spe,
|  | unsigned int | ls,
|  | void * | ea,
|  | unsigned int | size,
|  | unsigned int | tag,
|  | unsigned int | tid,
|  | unsigned int | rid
| ) |  |

int spe_mfcio_putb | ( | spe_context_ptr_t | spe,
|  | unsigned int | ls,
|  | void * | ea,
|  | unsigned int | size,
|  | unsigned int | tag,
|  | unsigned int | tid,
|  | unsigned int | rid
| ) |  |

int spe_mfcio_putf | ( | spe_context_ptr_t | spe,
|  | unsigned int | ls,
|  | void * | ea,
|  | unsigned int | size,
|  | unsigned int | tag,
|  | unsigned int | tid,
|  | unsigned int | rid
| ) |  |

int spe_mfcio_tag_status_read | ( | spe_context_ptr_t | spe,
|  | unsigned int | mask,
|  | unsigned int | behavior,
|  | unsigned int * | tag_status
| ) |  |

int spe_mssync_start | ( | spe_context_ptr_t | spe) |  |

int spe_mssync_status | ( | spe_context_ptr_t | spe) |  |

int spe_out_intr_mbox_read | ( | spe_context_ptr_t | spe,
|  | unsigned int * | mbox_data,
|  | int | count,
|  | unsigned int | behavior
| ) |  |

int spe_out_intr_mbox_status | ( | spe_context_ptr_t | spe) |  |

int spe_out_mbox_read | ( | spe_context_ptr_t | spe,
|  | unsigned int * | mbox_data,
|  | int | count
| ) |  |

int spe_out_mbox_status | ( | spe_context_ptr_t | spe) |  |

int spe_program_load | ( | spe_context_ptr_t | spe,
|  | spe_program_handle_t * | program
| ) |  |

void* spe_ps_area_get | ( | spe_context_ptr_t | spe,
|  | enum ps_area | area
| ) |  |

int spe_signal_write | ( | spe_context_ptr_t | spe,
|  | unsigned int | signal_reg,
|  | unsigned int | data
| ) |  |

int spe_stop_info_read | ( | spe_context_ptr_t | spe,
|  | spe_stop_info_t * | stopinfo
| ) |  |